Bug 132504 - keyboard does not work after installtion on intel se7505vb2 dual xeon
keyboard does not work after installtion on intel se7505vb2 dual xeon
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-09-14 03:07 EDT by mounterriver
Modified: 2015-01-04 17:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:11:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mounterriver 2004-09-14 03:07:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
After install the fc3test1 on the Intel se7505vb2 dual xeon machine, 
first boot, the keyboard does not work. subsequent boot kudzu report 
the AT keyboard has been removed from the system. Keyboard is a 
standard ps/2 keyboard attached to the se7505vb2 ps/2 port. 
During the kernel boot, it displays something like
i8042.c can not read CTR ...
During installation, keyboard is present. The system also works for 
usb-keyboard...

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
boot the system on intel se7505vb2 motherboard with keyboard attached 
at ps/2 port.

Actual Results:  kudzu reports AT keyboard has been removed from the 
system.

Expected Results:  AT keyboard should be attached and working

Additional info:
Comment 1 Eido Inoue 2004-09-14 14:12:52 EDT
not a kbd bug. i8042.c is a kernel file.
Comment 2 Alan Cox 2004-09-16 10:50:02 EDT
E750x systems have BIOS problems. In the BIOS disable "USB legacy"
support and all should be well. Our newest errata kernels should also
do this automatically for these boards.
Comment 3 mounterriver 2004-09-16 22:09:26 EDT
Thanks to Alan Cox...
I have set the USB Legacy Support to disabled mode, now the ps/2
keyboard is working...
Comment 4 Yeechang Lee 2005-02-06 01:25:37 EST
I, too, can report that disabling USB Legacy Support fixed a very
similar keyboard issue on my system.

Motherboard: Supermicro X5DAL-G with dual Xeon 2.8GHz
Chipset: Intel E7505
Distribution: Fedora Core 3 (not 3 test)
Kernel: 2.6.9-1.667.smp and 2.6.10-1.760_FC3smp (I did not try the
non-SMP versions)
Keyboard: Genuine IBM Modem M PS/2 keyboard

Unlike <a href="show_bug.cgi?id=126168">bug 126168</a>,
<kbd>ACPI=off</kbd> in the kernel argument did not help. And unlike <a
href="show_bug.cgi?id=123851">bug 123851</a>, <kbd>i8042.dumbkbd</kbd>
did not help either; in fact, it generated many spurious characters to
appear on the screen, as if I were holding keys down.
Comment 5 Dave Jones 2005-07-15 15:32:58 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 6 Dave Jones 2005-10-02 20:11:23 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.